Contact


Please fill in the required fields and I will answer as soon as possible. Please indicate as much information as possible, such as your OS X version, the SwitchResX version you are using, etc.

For questions regarding El Capitan compatibility, please make sure that you’re running version 4.5.2 at least, and that you have followed instructions on this page

*


*








*


*